cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_note(
"ACC0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountNote('ACC0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountNote('ACC0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounts.accounts_dto.AccountsDto.NoteView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteView> response = client.accounts().getAccountNote("ACC0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountNoteAsync(
"ACC0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountNote(
'ACC0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountNote(context.Background(), "ACC0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"object": "<string>",
"id": "<string>",
"content": "<string>",
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"code": "<string>",
"href": "<string>",
"rate": 123
},
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"watchers": [
{
"email": "<unknown>",
"name": "<string>",
"type": "<string>"
}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"href": "<string>"
},
"last_updated_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"href": "<string>"
},
"version": 123,
"group": "<unknown>",
"href": "<string>",
"user": "<unknown>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Accounts
Retrieve a note
Returns one note on an account, under note.
GET
/
accounts
/
{account_id}
/
notes
/
{note_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_note(
"ACC0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountNote('ACC0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountNote('ACC0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounts.accounts_dto.AccountsDto.NoteView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteView> response = client.accounts().getAccountNote("ACC0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountNoteAsync(
"ACC0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountNote(
'ACC0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountNote(context.Background(), "ACC0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"object": "<string>",
"id": "<string>",
"content": "<string>",
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"code": "<string>",
"href": "<string>",
"rate": 123
},
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"watchers": [
{
"email": "<unknown>",
"name": "<string>",
"type": "<string>"
}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"href": "<string>"
},
"last_updated_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"href": "<string>"
},
"version": 123,
"group": "<unknown>",
"href": "<string>",
"user": "<unknown>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the note under
note, with its HTML content, attachments and watchers.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account's id, such as ACC0001. Not its uuid.
The note's id, as returned when the note is created or listed.
Response
The note, under note.
One note.
Show child attributes
Show child attributes